End support for Internet Explorer 8, 9 & 10

Ending support from Server version: 2016.2

In January 2016, Microsoft removed support for Internet Explorer 8, 9 and 10 on desktop platforms beyond Windows 7. This means that Microsoft will not resolve problems found within Internet Explorer 8, 9 and 10. These versions of Internet Explorer are getting old and are no longer able to deal with the complexities of today's modern web functionality. In particular it struggles with modern JavaScript.

As a result of this, WATS will no longer support Internet Explorer 8, 9 and 10. Our end of support coincides with Microsoft's own policy, as outlined in their Internet Explorer Lifecycle Policy FAQ.

This does not necessary mean that WATS will not work on the older versions of Internet Explorer, however, we will not test or fix errors on these versions.


We recommend all users to upgrade to Internet Explorer 11. Alternatively use other web browsers such as Google Chrome..

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.